#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: kreversi
Summary: Old reversi board game, also known as othello
Group: Games/Boards 
URL: http://www.kde.org/applications/games/kreversi/
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: kreversi-handbook
Conflicts: kdegames4-core < 1:4.9.80

%description
KReversi is a simple one player strategy game played against the computer. 

If a player's piece is captured by an opposing player, that piece is turned over
to reveal the color of that player. A winner is declared when one player has
more pieces of his own color on the board and there are no more possible moves.

%files
%_kde_bindir/kreversi
%_kde_applicationsdir/kreversi.desktop
%_kde_appsdir/kreversi
%_kde_iconsdir/hicolor/*/apps/kreversi.png
%_kde_iconsdir/oxygen/*/actions/lastmoves.png
%_kde_iconsdir/oxygen/*/actions/legalmoves.png
%_kde_iconsdir/oxygen/scalable/actions/lastmoves.svgz
%_kde_iconsdir/oxygen/scalable/actions/legalmoves.svgz
#------------------------------------------------------------------------------

%package -n kreversi-handbook
Summary: kreversi handbook
Conflicts: kreversi < 1:4.7.1-2
Requires:  kreversi >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kreversi-handbook
This package provides the kreversi handbook.

%files -n kreversi-handbook
%_kde_docdir/HTML/en/kreversi

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450669
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407256
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401912
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394423
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339510
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334584
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326786
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319357
- imported package kreversi

